function [bestfit,params] = PostHocComputeFit(x,y,type)
  switch type
    case 'line' 
      params = polyfit(x,y,1);
      bestfit = polyval(params,x);
      params = fliplr(params); % different order from polyfit vs. nlinfit
    case 'expo' 
      params = nlinfit(x,y,@PostHocFitExpo,[1 1]);
      bestfit = PostHocFitExpo(params,x);
    case 'poly'   
      polynomialfitorder = 4;
      params = polyfit(x,y,polynomialfitorder);
      bestfit = polyval(params,x); 
      params = fliplr(params); % different order from polyfit vs. nlinfit
  end
  
  %   % Here's a toy dataset just to test the fitting function 'computefit':
  %   xdata = 0:.1:10;
  %   ydata1 = .2 + 10*xdata + 8.7*randn(size(xdata));
  %   ydata2 = .2 + 1*exp((xdata+.3*randn(size(xdata)))/2) + 8.7*randn(size(xdata));
  % 
  %   % Compute the best fit, to a specified type of function.
  %   yfit1 = computefit(xdata,ydata1,'line');
  %   yfit2 = computefit(xdata,ydata2,'expo');
  %   
  %   figure(20)
  %     clf
  %     hold on
  % %     plot(xdata,ydata1,'Color',[.2 .4 .8])
  %     scatter(xdata,ydata1,'x','MarkerEdgeColor',[.2 .4 .8])
  %     plot(xdata,yfit1,'r')
  % %     plot(xdata,ydata2,'Color','k')
  %     scatter(xdata,ydata2,'x','MarkerEdgeColor','g')
  %     plot(xdata,yfit2,'r')
  %     hold off

end